param (
    $ResourceGroupName = "",
    $LicenseXmlPath = "",
    $Location = "North Europe",
    $ParametersPath = "./parameters.json",
    $SitecoreAzureToolkit = "",
    $SubscriptionName = "",
    $TemplateUri = ""
)
Import-Module "$SitecoreAzureToolkit\tools\Sitecore.Cloud.Cmdlets.psm1" -Verbose

Import-Module Az.Accounts
Connect-AzAccount
Set-AzContext -SubscriptionName "$SubscriptionName"

Start-SitecoreAzureDeployment `
    -Name $ResourceGroupName `
    -Location $Location `
    -ArmTemplateUrl $TemplateUri `
    -ArmParametersPath $ParametersPath `
    -LicenseXmlPath $LicenseXmlPath `
    -Verbose
