$thumbprint = (New-SelfSignedCertificate -Subject "CN=$env:COMPUTERNAME @ Sitecore, Inc." -Type SSLServerAuthentication -FriendlyName "$env:USERNAME Certificate").Thumbprint
$certificateFilePath = Join-Path (Get-Item $PSScriptRoot).FullName "$thumbprint.pfx"
Export-PfxCertificate -cert cert:\LocalMachine\MY\$thumbprint -FilePath "$certificateFilePath" -Password (Read-Host -Prompt "Enter password that would protect the certificate" -AsSecureString)
[System.Convert]::ToBase64String([System.IO.File]::ReadAllBytes($certificateFilePath)) | Out-File -Encoding ascii -NoNewline -FilePath "$certificateFilePath.blob"
